// Type definitions for @dyna-grid/core v1.0.5
// Project: 
// Definitions by: zhangkun <>
import { ColumnGroup } from "../../entities/columnGroup";
import { Column } from "../../entities/column";
import { ManagedFocusComponent } from "../../widgets/managedFocusComponent";
export declare abstract class AbstractHeaderWrapper extends ManagedFocusComponent {
    protected abstract readonly column: Column | ColumnGroup;
    protected abstract readonly pinned: string | null;
    protected abstract onFocusIn(e: FocusEvent): void;
    protected shouldStopEventPropagation(e: KeyboardEvent): boolean;
    getColumn(): Column | ColumnGroup;
    getPinned(): string | null;
}
